import { Expression } from './types';
export declare class JsonTemplateEngine {
    private readonly fn;
    private constructor();
    static create(templateOrExpr: string | Expression, compileTimeBindings?: any): JsonTemplateEngine;
    static createSync(templateOrExpr: string | Expression, compileTimeBindings?: any): JsonTemplateEngine;
    private static compileSync;
    private static compile;
    static parse(template: string): Expression;
    static translate(templateOrExpr: string | Expression, compileTimeBindings?: any): string;
    private static translateTemplate;
    private static translateExpression;
    evaluate(data: any, bindings?: any): any;
}
//# sourceMappingURL=engine.d.ts.map