"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsosTemplateTranslatorError = exports.JsonTemplateParserError = exports.JsonTemplateLexerError = void 0;
class JsonTemplateLexerError extends Error {
    constructor(message) {
        super(message);
    }
}
exports.JsonTemplateLexerError = JsonTemplateLexerError;
class JsonTemplateParserError extends Error {
    constructor(message) {
        super(message);
    }
}
exports.JsonTemplateParserError = JsonTemplateParserError;
class JsosTemplateTranslatorError extends Error {
    constructor(message) {
        super(message);
    }
}
exports.JsosTemplateTranslatorError = JsosTemplateTranslatorError;
